## haskell-enummapset-th 0.6.1.1

=== debian/changelog ===
haskell-enummapset-th (0.6.1.1-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Thu, 01 Jun 2017 17:16:26 -0400
